<%= form_with model: @postit, local: true do |form| %>

    <% if @postit.errors.any? %>
        <strong>WARNING</strong>
        <ul>
            <% @postit.errors.full_messages.each do |message| %>
                <li class="bg-danger">
                    <%= message %>
                </li>
            <% end %>
        </ul>
    <% end %>


    <div class="row">
        <div class="col-sm-4">
            
            
            <p>
                <%= form.label I18n.t("postits.form.body") %><br>
                <%= form.text_area :body %>
            </p>

            <% @postit.level = 1 if @postit.level.nil? %>

            <%= @postit.level %>

            <% if (@postit.level != 0 && @postit.level != 2) %>
                <p>
                    <%= form.label I18n.t("postits.form.level") %><br>
                    <span class="label label-primary">&nbsp;</span>
                    <%= form.radio_button :level, "1" %>
                    <label for="html">
                        Regular
                    </label><br>


                    
                    <span class="label label-warning">&nbsp;</span>
                    <%= form.radio_button :level, "3" %>
                    <label for="css">
                        Must be done within the next two weeks
                    </label><br>

                    <span class="label label-danger">&nbsp;</span>
                    <%= form.radio_button :level, "4" %>
                    <label for="javascript">
                        Must be done within the next seven days
                    </label>
                    
                </p>
            <% end %>
  
            <p>
                <%= form.label I18n.t("postits.form.is_private") %>
                <%= form.check_box :is_private %>
            </p>



            <% if params[:action] != "new" %>

                <p>
                    <%= form.label I18n.t("postits.form.taken") %><br>
                    <%= form.select(:taken_id) do %>
                        <%= select_option_tag("", nil, @postit.taken) %>
                        <% Utilisateur.where(service: current_user.utilisateur.service).order(:prenom).each do |l| %>
                            <%= select_option_tag(l.prenom_nom, l.id, @postit.taken_id) %>
                        <% end %>
                    <% end %>
                </p>

                <p>
                    Done at<br>
                    <%= form.date_field :done_at %>
                </p>
            <% end %>

        </div>
    </div>

    <div class="row">
        <div class="col-sm-4">
            <p><%= form.submit class: "btn btn-primary" %></p>
        </div>
    </div>

<% end %>